Package com.logicaldoc.core.folder

# Enum Class FolderEvent

java.lang.Object
java.lang.Enum<FolderEvent>
com.logicaldoc.core.folder.FolderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<FolderEvent>`, `Constable`

public enum FolderEvent extends Enum<FolderEvent>
Possible events in the folder's history

Since:
  6.6
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALIAS_CREATED`
`CHANGED`
`CREATED`
`DELETED`
`DOCUMENT_DESTROYED`
`EXPORTED`
`MOVED`
`PERMISSION`
`QUOTA_OVERTHRESHOLD`
`RENAMED`
`RESTORED`
`SUBFOLDER_CHANGED`
`SUBFOLDER_CREATED`
`SUBFOLDER_DELETED`
`SUBFOLDER_MOVED`
`SUBFOLDER_PERMISSION`
`SUBFOLDER_RENAMED`
`SUBFOLDER_RESTORED`
`SUBSCRIBED`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`allKeys()`
Retrieves the all resource bundle keys
`static FolderEvent`
`fromKey(String key)`
Gets the right enumeration entry from the corresponding resource bundle key
`String`
`toKey()`
Converts the enumeration entry to the corresponding key in the resource bundle
`String`
`toString()`
`static FolderEvent`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FolderEvent[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CREATED

public static final FolderEvent CREATED

### RENAMED

public static final FolderEvent RENAMED

### PERMISSION

public static final FolderEvent PERMISSION

### DELETED

public static final FolderEvent DELETED

### MOVED

public static final FolderEvent MOVED

### CHANGED

public static final FolderEvent CHANGED

### SUBFOLDER_CREATED

public static final FolderEvent SUBFOLDER_CREATED

### SUBFOLDER_RENAMED

public static final FolderEvent SUBFOLDER_RENAMED

### SUBFOLDER_PERMISSION

public static final FolderEvent SUBFOLDER_PERMISSION

### SUBFOLDER_DELETED

public static final FolderEvent SUBFOLDER_DELETED

### SUBFOLDER_CHANGED

public static final FolderEvent SUBFOLDER_CHANGED

### SUBFOLDER_MOVED

public static final FolderEvent SUBFOLDER_MOVED

### SUBFOLDER_RESTORED

public static final FolderEvent SUBFOLDER_RESTORED

### RESTORED

public static final FolderEvent RESTORED

### EXPORTED

public static final FolderEvent EXPORTED

### SUBSCRIBED

public static final FolderEvent SUBSCRIBED

### QUOTA_OVERTHRESHOLD

public static final FolderEvent QUOTA_OVERTHRESHOLD

### ALIAS_CREATED

public static final FolderEvent ALIAS_CREATED

### DOCUMENT_DESTROYED

public static final FolderEvent DOCUMENT_DESTROYED

## Method Details

### values

public static FolderEvent[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FolderEvent valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromKey

public static FolderEvent fromKey(String key)
Gets the right enumeration entry from the corresponding resource bundle key

Parameters:
  `key` - the resource bundle key
Returns:
  The corresponding entry

### toKey

public String toKey()
Converts the enumeration entry to the corresponding key in the resource bundle

Returns:
  The key

### allKeys

public List<String> allKeys()
Retrieves the all resource bundle keys

Returns:
  A list of keys

### toString

public String toString()

Overrides:
  `toString` in class `Enum<FolderEvent>`